package com.mortals.xhx.module.one.model;

import java.util.List;
import com.mortals.xhx.module.one.model.OneTopicalEntity;
/**
* 主题查询对象
*
* @author zxfei
* @date 2021-11-16
*/
public class OneTopicalQuery extends OneTopicalEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主题名称 */
    private List<String> topicalNameList;

    /** 开始 主题排序 */
    private Integer topicalRankStart;

    /** 结束 主题排序 */
    private Integer topicalRankEnd;

    /** 增加 主题排序 */
    private Integer topicalRankIncrement;

    /** 主题排序列表 */
    private List <Integer> topicalRankList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 开始 主题类型（1 个人服务，2 企业服务） */
    private Integer topicalTypeStart;

    /** 结束 主题类型（1 个人服务，2 企业服务） */
    private Integer topicalTypeEnd;

    /** 增加 主题类型（1 个人服务，2 企业服务） */
    private Integer topicalTypeIncrement;

    /** 主题类型（1 个人服务，2 企业服务）列表 */
    private List <Integer> topicalTypeList;

    /** 描述信息 */
    private List<String> remarkList;

    /** 开始  */
    private Integer deletedStart;

    /** 结束  */
    private Integer deletedEnd;

    /** 增加  */
    private Integer deletedIncrement;

    /** 列表 */
    private List <Integer> deletedList;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人名称 */
    private List<String> createUserNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 修改人 */
    private Long updateUserIdStart;

    /** 结束 修改人 */
    private Long updateUserIdEnd;

    /** 增加 修改人 */
    private Long updateUserIdIncrement;

    /** 修改人列表 */
    private List <Long> updateUserIdList;

    /** 修改人名称 */
    private List<String> updateUserNameList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<OneTopicalQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<OneTopicalQuery> andConditionList;

    public OneTopicalQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主题名称
    * @return topicalNameList
    */
    public List<String> getTopicalNameList(){
        return this.topicalNameList;
    }

    /**
    * 设置 主题名称
    * @param topicalNameList
    */
    public void setTopicalNameList(List<String> topicalNameList){
        this.topicalNameList = topicalNameList;
    }
    /**
    * 获取 开始 主题排序
    * @return topicalRankStart
    */
    public Integer getTopicalRankStart(){
        return this.topicalRankStart;
    }

    /**
    * 设置 开始 主题排序
    * @param topicalRankStart
    */
    public void setTopicalRankStart(Integer topicalRankStart){
        this.topicalRankStart = topicalRankStart;
    }

    /**
    * 获取 结束 主题排序
    * @return $topicalRankEnd
    */
    public Integer getTopicalRankEnd(){
        return this.topicalRankEnd;
    }

    /**
    * 设置 结束 主题排序
    * @param topicalRankEnd
    */
    public void setTopicalRankEnd(Integer topicalRankEnd){
        this.topicalRankEnd = topicalRankEnd;
    }

    /**
    * 获取 增加 主题排序
    * @return topicalRankIncrement
    */
    public Integer getTopicalRankIncrement(){
        return this.topicalRankIncrement;
    }

    /**
    * 设置 增加 主题排序
    * @param topicalRankIncrement
    */
    public void setTopicalRankIncrement(Integer topicalRankIncrement){
        this.topicalRankIncrement = topicalRankIncrement;
    }

    /**
    * 获取 主题排序
    * @return topicalRankList
    */
    public List<Integer> getTopicalRankList(){
        return this.topicalRankList;
    }

    /**
    * 设置 主题排序
    * @param topicalRankList
    */
    public void setTopicalRankList(List<Integer> topicalRankList){
        this.topicalRankList = topicalRankList;
    }

    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 开始 主题类型（1 个人服务，2 企业服务）
    * @return topicalTypeStart
    */
    public Integer getTopicalTypeStart(){
        return this.topicalTypeStart;
    }

    /**
    * 设置 开始 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeStart
    */
    public void setTopicalTypeStart(Integer topicalTypeStart){
        this.topicalTypeStart = topicalTypeStart;
    }

    /**
    * 获取 结束 主题类型（1 个人服务，2 企业服务）
    * @return $topicalTypeEnd
    */
    public Integer getTopicalTypeEnd(){
        return this.topicalTypeEnd;
    }

    /**
    * 设置 结束 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeEnd
    */
    public void setTopicalTypeEnd(Integer topicalTypeEnd){
        this.topicalTypeEnd = topicalTypeEnd;
    }

    /**
    * 获取 增加 主题类型（1 个人服务，2 企业服务）
    * @return topicalTypeIncrement
    */
    public Integer getTopicalTypeIncrement(){
        return this.topicalTypeIncrement;
    }

    /**
    * 设置 增加 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeIncrement
    */
    public void setTopicalTypeIncrement(Integer topicalTypeIncrement){
        this.topicalTypeIncrement = topicalTypeIncrement;
    }

    /**
    * 获取 主题类型（1 个人服务，2 企业服务）
    * @return topicalTypeList
    */
    public List<Integer> getTopicalTypeList(){
        return this.topicalTypeList;
    }

    /**
    * 设置 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeList
    */
    public void setTopicalTypeList(List<Integer> topicalTypeList){
        this.topicalTypeList = topicalTypeList;
    }

    /**
    * 获取 描述信息
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 描述信息
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 开始 
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 修改人
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 修改人
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 修改人
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 修改人
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 修改人
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 修改人
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 修改人
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 修改人
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 修改人名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public OneTopicalQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public OneTopicalQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public OneTopicalQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public OneTopicalQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public OneTopicalQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 主题名称
    * @param topicalName
    */
    public OneTopicalQuery topicalName(String topicalName){
        setTopicalName(topicalName);
		return this;
    }

    /**
    * 设置 主题名称
    * @param topicalNameList
    */
    public OneTopicalQuery topicalNameList(List<String> topicalNameList){
        this.topicalNameList = topicalNameList;
		return this;
    }

    /**
    * 设置  主题排序
    * @param topicalRank
    */
    public OneTopicalQuery topicalRank(Integer topicalRank){
	    setTopicalRank(topicalRank);
		return this;
    }
	
	 /**
    * 设置 开始 主题排序
    * @param topicalRankStart
    */
    public OneTopicalQuery topicalRankStart(Integer topicalRankStart){
		this.topicalRankStart = topicalRankStart;
		return this;
    }

    /**
    * 设置 结束 主题排序
    * @param topicalRankEnd
    */
    public OneTopicalQuery topicalRankEnd(Integer topicalRankEnd){
		this.topicalRankEnd = topicalRankEnd;
		return this;
    }

    /**
    * 设置 增加 主题排序
    * @param topicalRankIncrement
    */
    public OneTopicalQuery topicalRankIncrement(Integer topicalRankIncrement){
		this.topicalRankIncrement = topicalRankIncrement;
		return this;
    }

    /**
    * 设置 主题排序
    * @param topicalRankList
    */
    public OneTopicalQuery topicalRankList(List<Integer> topicalRankList){
        this.topicalRankList = topicalRankList;
		return this;
        }

    /**
    * 设置  站点id
    * @param siteId
    */
    public OneTopicalQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public OneTopicalQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public OneTopicalQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public OneTopicalQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public OneTopicalQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

    /**
    * 设置  主题类型（1 个人服务，2 企业服务）
    * @param topicalType
    */
    public OneTopicalQuery topicalType(Integer topicalType){
	    setTopicalType(topicalType);
		return this;
    }
	
	 /**
    * 设置 开始 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeStart
    */
    public OneTopicalQuery topicalTypeStart(Integer topicalTypeStart){
		this.topicalTypeStart = topicalTypeStart;
		return this;
    }

    /**
    * 设置 结束 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeEnd
    */
    public OneTopicalQuery topicalTypeEnd(Integer topicalTypeEnd){
		this.topicalTypeEnd = topicalTypeEnd;
		return this;
    }

    /**
    * 设置 增加 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeIncrement
    */
    public OneTopicalQuery topicalTypeIncrement(Integer topicalTypeIncrement){
		this.topicalTypeIncrement = topicalTypeIncrement;
		return this;
    }

    /**
    * 设置 主题类型（1 个人服务，2 企业服务）
    * @param topicalTypeList
    */
    public OneTopicalQuery topicalTypeList(List<Integer> topicalTypeList){
        this.topicalTypeList = topicalTypeList;
		return this;
        }


	/**
    * 设置 描述信息
    * @param remark
    */
    public OneTopicalQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 描述信息
    * @param remarkList
    */
    public OneTopicalQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  
    * @param deleted
    */
    public OneTopicalQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param deletedStart
    */
    public OneTopicalQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param deletedEnd
    */
    public OneTopicalQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param deletedIncrement
    */
    public OneTopicalQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 
    * @param deletedList
    */
    public OneTopicalQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

    /**
    * 设置  创建人id
    * @param createUserId
    */
    public OneTopicalQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public OneTopicalQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public OneTopicalQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public OneTopicalQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public OneTopicalQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


	/**
    * 设置 创建人名称
    * @param createUserName
    */
    public OneTopicalQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public OneTopicalQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  修改人
    * @param updateUserId
    */
    public OneTopicalQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 修改人
    * @param updateUserIdStart
    */
    public OneTopicalQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 修改人
    * @param updateUserIdEnd
    */
    public OneTopicalQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 修改人
    * @param updateUserIdIncrement
    */
    public OneTopicalQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 修改人
    * @param updateUserIdList
    */
    public OneTopicalQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


	/**
    * 设置 修改人名称
    * @param updateUserName
    */
    public OneTopicalQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }

    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public OneTopicalQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<OneTopicalQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<OneTopicalQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<OneTopicalQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<OneTopicalQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}